CVE List

CVE-2019-18643

Critical 9.8

Rock RMS versions before 8.10 and versions 9.0 through 9.3 fails to properly validate files uploaded in the application. The only protection mechanism is a file-extension blacklist that can be bypassed by adding multiple spaces and periods after the file name. This could allow an attacker to upload ASPX code and gain remote code execution on the application. The application typically runs as LocalSystem as mandated in the installation guide. Patched in versions 8.10 and 9.4.

Published January 8, 2021.

Affected software

Sparkdevnetwork Rock Rms

Reference links

Sign Up for Alerts